App::KGB::Commit(3pm)

NAME
App::KGB::Commit - a single commit

SYNOPSIS
    my $c = App::KGB::Commit->new(
        {   id      => 4536,
            changes => ["(M)/there"],
            log     => "fixed /there",
            author  => "My Self <mself@here.at>",
            branch  => "trunk",
            module  => "test",
        }
    );

DESCRIPTION
App::KGB::Change encapsulates a single commit. A commit has several properties: an ID, a list of changes, an author, a log message, optionally also a branch and a module.

FIELDS

id  The commit ID that uniquely identifies it in the repository (if applicable).

changes
    An arrayref of App::KGB::Change instances or other objects that behave as strings.

author
log
branch
module

CONSTRUCTOR

  new ( { initial field values } )
Standard constructor. Accepts a hashref with field values.

OVERLOADS

stringify
    Returns a text representation of the commit object